﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="MSCaptcha" Namespace="MSCaptcha" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Captcha Example</title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <table border="0" cellpadding="3" cellspacing="0">
            <tr>
                <td colspan="3">
                    Enter Text <asp:TextBox ID="txtCaptcha" runat="server"></asp:TextBox>
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <cc1:CaptchaControl ID="captcha1" runat="server" CaptchaBackgroundNoise="Low" CaptchaLength="5"
                        CaptchaHeight="60" CaptchaWidth="200" CaptchaMinTimeout="5" CaptchaMaxTimeout="240"
                        FontColor="#D20B0C" NoiseColor="#B1B1B1" />
                </td>
                <td>
                    <asp:ImageButton ImageUrl="~/refresh.png" runat="server" CausesValidation="false" />
                </td>
            </tr>
            <tr>
                <td>
                    <asp:CustomValidator ErrorMessage="Invalid. Please try again." OnServerValidate="ValidateCaptcha" runat="server" />
                </td>
                <td align="right">
                    <asp:Button ID="btnSubmit" runat="server" Text="Submit" />
                </td>
                <td></td>
            </tr>
        </table>
    </form>
</body>
</html>
